%global momorel 1
%global stable5 0
%global unstable 1
%if 0%{unstable}
#%%global svnrel 979380
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.2.95
%global kdelibsrel 1m
%global qtver 4.5.1
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ocamlver 3.11.0
%global ftpdirver 4.2.95
%global sourcedir %{release_dir}/%{ftpdirver}/src

%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

# The Kalzium solver needs OCaml with native compilation support (ocamlopt) and
# ocaml-facile.
%ifarch alpha %{ix86} ia64 x86_64 ppc ppc64 sparc sparcv9
%define with_facile 1
%endif

Name: kdeedu
Summary: K Desktop Environment - Education
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: Amusements/Graphics
License: GPL
URL: http://edu.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?svnrel:svn%{svnrel}}.tar.bz2
NoSource: 0
Patch1: kdeedu-4.2.0-indi_nodrivers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: coreutils
PreReq: desktop-file-utils
PreReq: gtk2
PreReq: shared-mime-info
Requires: %{name}-libs = %{version}-%{release}
%if %{stable5}
Requires: %{name}-marble = %{version}-%{release}
Requires: %{name}-math = %{version}-%{release}
%endif
BuildRequires: boost-devel >= 1.37.0
BuildRequires: cfitsio-devel >= 3.090
BuildRequires: cmake >= %{cmakever}-%{cmakerel} 
BuildRequires: desktop-file-utils
BuildRequires: eigen2-devel >= 2.0.51
BuildRequires: giflib-devel
BuildRequires: gmm-devel >= 3.0
BuildRequires: gpsd-devel >= 2.39
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: libnova-devel
BuildRequires: libapogee-devel
BuildRequires: libfli-devel
BuildRequires: libindi >= 0.6
BuildRequires: libqalculate-devel >= 0.9.6-3m
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libusb-devel
%if 0%{?with_facile}
BuildRequires: ocaml >= %{ocamlver}
BuildRequires: ocaml-facile-devel >= 1.1-8m
%endif
BuildRequires: openbabel-devel >= 2.2.0
BuildRequires: pcre-devel
BuildRequires: python-devel python
BuildRequires: readline-devel
Obsoletes: kalgebra
Provides: kalgebra
Obsoletes: marble
Provides: marble

%description
Educational/Edutainment applications for KDE
This package includes,

  khangman: the classical hangman game
  klettres: help to learn the alphabet
  kmessedwords: simple mind-training game
  kverbos: to study Spanish verb forms
  kvoctrain: a vocabulary trainer
  kiten: a Japanese reference/learning tool
  kbruch: a program for generating tasks with fraction
  kig: a program for exploring geometric constructions
  kpercentage: help pupils to improve their skills in calculating percentages
  kmplot: a mathematical function plotter
  flashkard: a vocabulary studying tool for learning languages or termninology
  ktouch: a program for learning touch typing
  kwordquiz: a tool that gives you a powerful way to master new vocabularies
  kturtle: an educational programming environment using the Logo
  kstars: a Desktop Planetarium program
  kalzium: show you some information about the periodic system of the elements
  keduca: creation and revision of form-based tests and exams

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name} 
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs-devel
Requires: giflib-devel
Requires: pcre-devel
Obsoletes: marble-devel
Provides: marble-devel

%description devel
Header files for developing applications using %{name}.

%package kstars
Group:   Amusements/Games
Summary: Desktop Planetarium 
PreReq: coreutils
PreReq: desktop-file-utils
PreReq: gtk2
PreReq: shared-mime-info
Requires: %{name}-libs = %{version}-%{release}

%description kstars
%{summary}.

%package marble 
Summary: A World Atlas
Group:   Amusements/Games
# http://bugzilla.redhat.com/394011
PreReq: coreutils
PreReq: desktop-file-utils
PreReq: gtk2
PreReq: shared-mime-info
Requires: %{name}-libs = %{version}-%{release}
Obsoletes: marble < 0.5.1
Provides:  marble = 0.7-%{release}

%description marble 
%{summary}.

%package math
Group:	 Amusements/Games
Summary: Math applications
PreReq: coreutils
PreReq: desktop-file-utils
PreReq: gtk2
PreReq: shared-mime-info
Requires: %{name}-libs = %{version}-%{release}

%description math
Educational/Edutainment Math applications:
* kalgebra: MathML-based graph calculator
* kbruch: Exercise Fractions and Percentages
* kig: Interactive Geometry
* kmplot: Mathematical Function Plotter

%prep
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}}

%patch1 -p1 -b .indi_nodrivers

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	..
popd

make -k %{?_smp_mflags} -C %{_target_platform} VERBOSE=1 || \
  make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# #unpackaged files
# omit stuff for which there isn't a clear public API
rm -f %{buildroot}%{_kde4_libdir}/lib{SatLib,analitza,compoundviewer,htmesh,sbigudrv}.{a,so}

# omit dustismo roman font
rm -f %{buildroot}%{_kde4_appsdir}/khangman/fonts/Dustismo_Roman.ttf
# omit domestic manners font
rm -f %{buildroot}%{_kde4_appsdir}/khangman/fonts/Domestic_Manners.ttf
# omit steve font
rm -f %{buildroot}%{_kde4_appsdir}/blinken/fonts/steve.ttf

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post kstars
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans kstars
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun kstars
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%post marble 
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans marble
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun marble 
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%post math
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans math
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun math
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/blinken
%{_kde4_bindir}/kalzium
%{_kde4_bindir}/kanagram
%{_kde4_bindir}/kgeography
%{_kde4_bindir}/khangman
%{_kde4_bindir}/kiten
%{_kde4_bindir}/kitengen
%{_kde4_bindir}/kitenradselect
%{_kde4_bindir}/klettres
%{_kde4_bindir}/ktouch
%{_kde4_bindir}/kturtle
%{_kde4_bindir}/kwordquiz
%{_kde4_bindir}/parley
%{_kde4_bindir}/step
%{_kde4_bindir}/tilecreator
%{_kde4_libdir}/kde4/plasma_applet_kalgebra.so
%{_kde4_libdir}/kde4/plasma_applet_parley.so
%{_kde4_libdir}/kde4/plasma_engine_parley.so
%{_kde4_libdir}/kde4/plasma_applet_didyouknow.so
%{_kde4_libdir}/kde4/plasma_engine_kalzium.so
%{_kde4_libdir}/libcompoundviewer.so.*
%{_kde4_libdir}/avogadro-kalzium
%{_kde4_appsdir}/desktoptheme/default/widgets/*
%{_kde4_appsdir}/blinken
%{_kde4_appsdir}/kalzium
%{_kde4_appsdir}/kanagram
%{_kde4_appsdir}/kgeography
%{_kde4_appsdir}/khangman
%{_kde4_appsdir}/kiten
%{_kde4_appsdir}/kitenradselect
%{_kde4_appsdir}/klettres
%{_kde4_appsdir}/ktouch
%{_kde4_appsdir}/kturtle
%{_kde4_appsdir}/kvtml
%{_kde4_appsdir}/kwordquiz
%{_kde4_appsdir}/parley
%{_kde4_appsdir}/step
%{_kde4_datadir}/applications/kde4/blinken.desktop
%{_kde4_datadir}/applications/kde4/kalzium.desktop
%{_kde4_datadir}/applications/kde4/kanagram.desktop
%{_kde4_datadir}/applications/kde4/kgeography.desktop
%{_kde4_datadir}/applications/kde4/khangman.desktop
%{_kde4_datadir}/applications/kde4/kiten.desktop
%{_kde4_datadir}/applications/kde4/klettres.desktop
%{_kde4_datadir}/applications/kde4/ktouch.desktop
%{_kde4_datadir}/applications/kde4/kturtle.desktop
%{_kde4_datadir}/applications/kde4/kwordquiz.desktop
%{_kde4_datadir}/applications/kde4/parley.desktop
%{_kde4_datadir}/applications/kde4/step.desktop
%{_kde4_datadir}/config.kcfg/blinken.kcfg
%{_kde4_datadir}/config.kcfg/documentsettings.kcfg
%{_kde4_datadir}/config.kcfg/kalzium.kcfg
%{_kde4_datadir}/config.kcfg/kanagram.kcfg
%{_kde4_datadir}/config.kcfg/kgeography.kcfg
%{_kde4_datadir}/config.kcfg/khangman.kcfg
%{_kde4_datadir}/config.kcfg/kiten.kcfg
%{_kde4_datadir}/config.kcfg/klettres.kcfg
%{_kde4_datadir}/config.kcfg/ktouch.kcfg
%{_kde4_datadir}/config.kcfg/kwordquiz.kcfg
%{_kde4_datadir}/config.kcfg/languagesettings.kcfg
%{_kde4_datadir}/config.kcfg/parley.kcfg
%{_kde4_datadir}/config.kcfg/step.kcfg
%{_kde4_datadir}/config/kalzium.knsrc
%{_kde4_datadir}/config/kanagram.knsrc
%{_kde4_datadir}/config/khangman.knsrc
%{_kde4_datadir}/config/klettres.knsrc
%{_kde4_datadir}/config/kwordquiz.knsrc
%{_kde4_datadir}/config/parley.knsrc
%{_kde4_datadir}/config/step.knsrc
%{_kde4_datadir}/kde4/services/plasma-dataengine-parley.desktop
%{_kde4_datadir}/kde4/services/plasma_parley.desktop
%{_kde4_datadir}/kde4/services/plasma-dataengine-kalzium.desktop
%{_kde4_datadir}/kde4/services/plasma_didyouknow.desktop
%{_kde4_docdir}/HTML/en/blinken
%{_kde4_docdir}/HTML/en/kalzium
%{_kde4_docdir}/HTML/en/kanagram
%{_kde4_docdir}/HTML/en/kgeography
%{_kde4_docdir}/HTML/en/khangman
%{_kde4_docdir}/HTML/en/kiten
%{_kde4_docdir}/HTML/en/klettres
%{_kde4_docdir}/HTML/en/ktouch
%{_kde4_docdir}/HTML/en/kturtle
%{_kde4_docdir}/HTML/en/kwordquiz
%{_kde4_docdir}/HTML/en/parley
%{_kde4_docdir}/HTML/en/step
%{_kde4_iconsdir}/hicolor/*/*/blinken.*
%{_kde4_iconsdir}/hicolor/*/*/kalzium.*
%{_kde4_iconsdir}/hicolor/*/*/kanagram.*
%{_kde4_iconsdir}/hicolor/*/*/kgeography.*
%{_kde4_iconsdir}/hicolor/*/*/khangman.*
%{_kde4_iconsdir}/hicolor/*/*/kiten.*
%{_kde4_iconsdir}/hicolor/*/*/klettres.*
%{_kde4_iconsdir}/hicolor/*/*/ktouch.*
%{_kde4_iconsdir}/hicolor/*/*/kturtle.*
%{_kde4_iconsdir}/hicolor/*/*/kwordquiz.*
%{_kde4_iconsdir}/hicolor/*/*/parley*.*
%{_kde4_iconsdir}/hicolor/*/*/step.*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_mandir}/man1/kalzium*
%{_mandir}/man1/ktouch*
%{_mandir}/man6/khangman*

%files libs 
%defattr(-,root,root,-)
%{_kde4_libdir}/libanalitza.so.*
%{_kde4_libdir}/libavogadro-kalzium.so.*
%{_kde4_libdir}/libkdeedu*.so.*
%{_kde4_libdir}/libkeduvocdocument.so.*
%{_kde4_libdir}/libkiten.so.*
%{_kde4_libdir}/libscience.so.*
%{_kde4_appsdir}/libkdeedu/

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/libavogadro-kalzium.so
%{_kde4_libdir}/libkdeedu*.so
%{_kde4_libdir}/libkeduvocdocument.so
%{_kde4_libdir}/libkiten.so
%{_kde4_libdir}/libmarble*.so
%{_kde4_libdir}/libscience.so
%{_kde4_libdir}/kde4/plugins/designer/kalziumuiwidgets.so
%{_kde4_appsdir}/cmake/modules/*

%files kstars
%defattr(-,root,root,-)
%{_kde4_bindir}/kstars
%{_kde4_datadir}/applications/kde4/kstars.desktop
%{_kde4_datadir}/config.kcfg/kstars.kcfg
%{_kde4_configdir}/kstars.knsrc
%{_kde4_docdir}/HTML/en/kstars
%{_kde4_appsdir}/kstars
%{_kde4_iconsdir}/hicolor/*/*/kstars.*
%{_kde4_libdir}/libSatLib.so.*

%files marble
%defattr(-,root,root,-)
%{_kde4_appsdir}/marble
%{_kde4_appsdir}/marble_part
%{_kde4_bindir}/marble
%{_kde4_bindir}/geodatatest
%{_kde4_datadir}/applications/kde4/marble.desktop
%{_kde4_datadir}/config.kcfg/marble.kcfg
%{_kde4_datadir}/kde4/services/marble_part.desktop
%{_kde4_docdir}/HTML/en/marble
%{_kde4_libdir}/libmarble*.so.*
%{_kde4_libdir}/kde4/libmarble_part.so
%{_kde4_libdir}/kde4/plugins/marble
%{_kde4_iconsdir}/hicolor/*/*/marble.*
# worldclock links against libmarblewidget, include here
%{_kde4_libdir}/kde4/plasma_applet_worldclock.so
%{_kde4_datadir}/kde4/services/plasma-applet-kworldclock.desktop

%files math
%defattr(-,root,root,-)
%{_kde4_bindir}/calgebra
%{_kde4_bindir}/kalgebra
%{_kde4_bindir}/kbruch
%{_kde4_bindir}/kig
%{_kde4_bindir}/kmplot
%{_kde4_bindir}/pykig.*
%{_kde4_libdir}/kde4/kigpart.*
%{_kde4_libdir}/kde4/libkmplotpart.*
%{_kde4_datadir}/applications/kde4/kalgebra.desktop
%{_kde4_datadir}/applications/kde4/kbruch.desktop
%{_kde4_datadir}/applications/kde4/kig.desktop
%{_kde4_datadir}/applications/kde4/kmplot.desktop
%{_kde4_datadir}/config.kcfg/kbruch.kcfg
%{_kde4_datadir}/config.kcfg/kmplot.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kmplot.*
%{_kde4_docdir}/HTML/en/kalgebra
%{_kde4_docdir}/HTML/en/kbruch
%{_kde4_docdir}/HTML/en/kig
%{_kde4_docdir}/HTML/en/kmplot
%{_kde4_iconsdir}/hicolor/*/*/kalgebra.*
%{_kde4_iconsdir}/hicolor/*/*/kbruch.*
%{_kde4_iconsdir}/hicolor/*/*/kig.*
%{_kde4_iconsdir}/hicolor/*/*/kmplot.*
%{_kde4_iconsdir}/hicolor/*/*/application-x-kig.*
%{_kde4_appsdir}/katepart/syntax/python-kig.xml
%{_kde4_appsdir}/kbruch
%{_kde4_appsdir}/kig
%{_kde4_appsdir}/kmplot
%{_kde4_datadir}/kde4/services/kalgebraplasmoid.desktop
%{_kde4_datadir}/kde4/services/kig_part.desktop
%{_kde4_datadir}/kde4/services/kmplot_part.desktop
%{_mandir}/man1/kbruch*
%{_mandir}/man1/kig*
%{_mandir}/man1/kmplot*

%changelog
* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- update to KDE 4.3 RC (4.2.95)

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.91-1m)
- update to 4.2.91

* Thu Jun 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.90-1m)
- update to KDE 4.3 beta 2 (4.2.90)

* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.89-1m)
- update to 4.2.89

* Sat Jun  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.88-1m)
- update to 4.2.88

* Thu Jun  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4-1m)
- update to KDE 4.2.4

- * Sat May 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.88-1m)
- - update to 4.2.88

- * Fri May 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.87-1m)
- - update to 4.2.87

* Fri May 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.3-3m)
- rebuild against gpsd-2.39

* Sun May 17 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.2.3-2m)
- rebuilt for boost-1.39.0

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.3-1m)
- update to KDE 4.2.3

- * Fri May  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-1m)
- - update to 4.2.85

- * Sat May  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.71-1m)
- - update to 4.2.71

- * Sat Apr 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.70-1m)
- - update to 4.2.70

- * Sun Apr 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.69-1m)
- - update to 4.2.69

* Mon Apr  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.2-2m)
- Requires: kdeedu-marble on stable5
- Requires: kdeedu-math on stable5
- PreReq: coreutils
- PreReq: desktop-file-utils
- PreReq: gtk2
- PreReq: shared-mime-info

* Fri Apr  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.2-1m)
- update to KDE 4.2.2

* Fri Mar  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-1m)
- update to KDE 4.2.1
- update all patches

* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to KDE 4.2.0

* Tue Jan 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.96-1m)
- update to KDE 4.2 RC

* Thu Jan 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.87-2m)
- rebuild against boost-1.37.0

* Sun Jan  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-1m)
- update to 4.1.87

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.1.85-2m)
- rebuild against python-2.6.1-1m

* Sat Dec 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.85-1m)
- update to 4.1.85

* Wed Dec 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.82-1m)
- update to 4.1.82

* Fri Dec  5 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.81-3m)
- rebuild against ocaml-3.11.0

* Mon Dec  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.81-2m)
- add some BuildRequires' for Kalzium 

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.81-1m)
- update to 4.1.81

* Fri Nov 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.80-1m)
- update to 4.1.80
- separate kdeedu-math sub package (sync with Fedora devel)

* Fri Nov 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.73-1m)
- update to 4.1.73

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.72-1m)
- update to 4.1.72

* Fri Nov  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.71-2m)
- fix up marble python modules to enable build without kdeedu-devel-4.1.7x

* Fri Oct 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.71-1m)
- update to 4.1.71

* Sat Oct 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-1m)
- update to 4.1.70

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.69-1m)
- update to 4.1.69

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.68-1m)
- update to 4.1.68

* Sat Sep 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.67-1m)
- update to 4.1.67

* Tue Sep 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.66-1m)
- update to 4.1.66

* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.65-1m)
- update to 4.1.65

* Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.64-1m)
- update to 4.1.64

* Sat Aug 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.63-1m)
- update to 4.1.63

* Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.62-1m)
- update to 4.1.62

* Sun Aug 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.61-2m)
- add BuildRequires: libapogee-devel to support for controlling FLI CCDS & Filter Wheels (KStars)
- add BuildRequires: libfli-devel to support for controlling Apogee CCDS (KStars)

* Sun Aug 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.61-1m)
- update to 4.1.61

* Tue Aug  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-2m)
- enable to build -O2 option on x86_64

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to KDE 4.1.0

* Sat Jul 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.99-2m)
- rebuild against gpsd-2.37

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.99-1m)
- update to 4.0.99

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-1m)
- update to KDE 4.1 RC 1

* Tue Jul  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-4m)
- build with libqalculate again

* Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.85-3m)
- build without libqalculate for the moment

* Mon Jul  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.85-2m)
- build with libqalculate

* Sun Jul  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-1m)
- update to 4.0.85
- update marble to svn revision 828379 (to enable build)

* Sun Jul  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.84-3m)
- build with gmm++
- add BuildRequires: gmm-devel >= 3.0

* Sat Jul  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.84-2m)
- build with new openbabel
- sort %%files

* Sun Jun 29 2008 NARTIA Koichi <pulsar@momonga-linux.org>
- (4.0.84-1m)
- minor version up for KDE 4.1 beta 2

* Thu Jun 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.83-1m)
- update to KDE 4.1 beta 2

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.80-2m)
- set -DWITH_SBIG:BOOL=OFF again
- force compile internal libraries to resolve dependency
- revise %%postun kstars

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.80-1m)
- update to KDE 4.1 beta 1

* Sun May 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-2m)
- update Patch0 (import from Fedora 9)

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-1m)
- update to 4.0.4

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-5m)
- rebuild against gcc43

* Fri Mar 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-4m)
- set -DWITH_SBIG:BOOL=OFF
- force compile internal libraries (-DSBIG_LIBRARIES-ADVANCED:INTERNAL=1)


* Wed Mar 12 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-3m)
- build with cfitsio and libnova
- import cfitsio.patch from Fedora
 +* Fri Mar 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-3
 +- fix cfitsio detection by adding another hardcoded directory
- remove COPYING-CMAKE-SCRIPTS from %%doc

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-2m)
- release %%{_kde4_libdir}/kde4/plugins from main-package
- it's already provided by kdelibs
- and main-package Requires: kdelibs

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2
- delete unused patch

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.1-2m)
- build with eigen

* Sat Feb  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Wed Jan 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-4m)
- enable parallel build

* Wed Jan 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-3m)
- add COPYING-CMAKE-SCRIPTS to %%doc

* Wed Jan 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-2m)
- disable openbabel-devel (disable %%{_libdir}/pkgconfig/openbabel-2.0.pc)
  to avoid BuildConflicts: openbabel-devel
- Obsoletes and Provides kalgebra
- Obsoletes and Provides marble
- modify %%files
- modify %%description devel

* Sat Jan 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- update to KDE4

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to KDE 3.5.8

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7
- delete unused upstream patches

* Mon Mar  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-3m)
- import upstream patches to fix following problems
  #118862, accents dead keys do not work
  #142329, The capital of Myanmar is not Rangoon

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-2m)
- rebuild against kdelibs etc.

* Sun Jan 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to KDE 3.5.6
- delete unused upstream patches but kdeedu-3.5.5-python-2.5-support.patch is still needed

* Fri Jan 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-6m)
- import upstream patch to support python-2.5

* Sat Jan  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-5m)
- import upstream patch to fix following problem
  #139616, Division names in 'Division by flag' result view not translated

* Fri Jan  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-4m)
- import upstream patch to fix following problem
  #139554, Capital of South Africa is not Cape Town but Pretoria

* Sun Dec  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-3m)
- add Requires: facile

* Sun Nov 12 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-2m)
- rebuild against facile-1.1-1m
- add BuildPreReq: facile

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.4-2m)
- rebuild against kdelibs-3.5.4-3m kdebase-3.5.4-11m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Fri Mar 10 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.5.1-2m)
- fix for ppc, ppc64

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Mon Nov 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- revise kwordquiz.desktop for GNOME
- BuildPreReq: desktop-file-utils
- disable hidden visibility

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- import kdeedu-3.4.91-s390.patch from Fedora Core devel

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- remove kdeedu-3.4.2-uic.patch
- remove post-3.4.2-kdeedu.diff

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-4m)
- import kdeedu-3.4.2-uic.patch from Fedora Core devel
 +* Wed Sep 21 2005 Than Ngo <than@redhat.com> 3.4.2-3
 +- fix uic build problem

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- add --disable-rpath to configure

* Tue Aug 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- [SECURITY] post-3.4.2-kdeedu.diff for "langen2kvtml tempfile vulnerability"
  http://www.kde.org/info/security/advisory-20050815-1.txt

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- import gcc4.patch from Fedora Core
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.
- --disable-kig-python-scripting due to version mismatch.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: kdebase
- remove post-3.3.2-kdeedu-kstars.diff

* Thu Mar 10 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.2-4m)
- build against boost 1.32.0.

* Wed Feb 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-3m)
- [SECURITY] post-3.3.2-kdeedu-kstars.diff for "Buffer overflow in fliccd of kdeedu/kstars/indi"
  http://kde.org/info/security/advisory-20050215-1.txt

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Fri Oct 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.3.1-2m)
- add patch0 for boost-python-1.31

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Dec 27 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Wed Aug 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- add -fno-stack-protector if gcc is 3.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- no changes since 3.1.1

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KStars: 
      Fixed bug #51708: No longer exits if starting position is below horizon (only affected some systems)
      Fixed bug #52205: Country of Lhasa is China, not Tibet. 
      Fixed too-narrow coordinates field in statusbar.
      Fixed bug in "length of day" calculator module; it now properly accounts for latitude and longitude

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.
